package com.caimei.entity;

import java.io.Serializable;

public class CmDiscernReceipt implements Serializable {
    private Integer id;
    private String payWay;  //用户付款方式：1线上，2线下
    private String payType; //付款类型：1建设银行7297、2广发银行0115、3中信银行7172、4中信银行0897、5中信银行0897-财付通、6中信银行0897-支付宝、7线上-支付宝、8线上-微信支付、9线上-快钱支付
    private String payTypeStr;
    private String receiptType;  //收款款项类型：1订单款，2非订单款，3返佣款 4订单款或者非订单款（因财务阶段无法区分订单非订单）
    private String receiptStatus;   //收款状态：1待确认、2已确认(待审核)、3审核通过、4审核未通过、5收款撤销【线上支付成功为审核通过】
    private String smsContent;  //短信内容
    private String smsMd5Code;  //短信内容Md5加密串（适用于二次短信匹配查询）
    private String orderFlag;   //订单标识
    private Double receiptAmount;   //收款金额（线上一次性付款和支付金额一致）
    private Double handlingFee;     //手续费(个别银行存在手续费)
    private String confirmType;     //确认订单类型：1小额抹平确认，2大额抹平确认，3大额退款余额，4确认关联
    private String confirmUserPermissionID; //确认人权限ID(对应receipt_user_permission表)
    private String reviewUserPermissionID;  //审核人权限ID(对应receipt_user_permission表)
    private String cancelUserPermissionID;  //撤销人权限ID(对应receipt_user_permission表)
    private String transactionNum;  //交易号--[线上字段]
    private String bankID;  //银行Id--[线上字段]
    private String bankCode;    //银行卡号--[线上字段]
    private String kuaiQianPayTypeID;    //快钱支付类型ID--[线上字段]
    private String kuaiQianPayerID;    //块钱支付ID--[线上字段]
    private String rePayFlag;    //支付状态 1支付成功--[线上字段]
    private Double actualAmount;    //支付金额--[线上字段]
    private String formData;    //支付回调返回数据--[线上字段]
    private String problem;    //支付问题--[线上字段]
    private String noOrderReason;    //非订单款说明(适用协销确认的时候区分订单和非订单款)
    private String reviewReason;    //审核不通过原因
    private String cancelReason;    //撤销原因
    private String receiptDate;    //收款时间
    private String confirmDate;    //确认时间
    private String reviewDate;    //审核时间
    private String cancelDate;    //撤销时间
    private String updateDate;    //更新操作时间
    private String delFlag;     //作废标记 0 否，其余是

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getPayWay() {
        return payWay;
    }

    public void setPayWay(String payWay) {
        this.payWay = payWay;
    }

    public String getPayType() {
        return payType;
    }

    public void setPayType(String payType) {
        this.payType = payType;
    }

    public String getPayTypeStr() {
        return payTypeStr;
    }

    public void setPayTypeStr(String payTypeStr) {
        this.payTypeStr = payTypeStr;
    }

    public String getReceiptType() {
        return receiptType;
    }

    public void setReceiptType(String receiptType) {
        this.receiptType = receiptType;
    }

    public String getReceiptStatus() {
        return receiptStatus;
    }

    public void setReceiptStatus(String receiptStatus) {
        this.receiptStatus = receiptStatus;
    }

    public String getSmsContent() {
        return smsContent;
    }

    public void setSmsContent(String smsContent) {
        this.smsContent = smsContent;
    }

    public String getSmsMd5Code() {
        return smsMd5Code;
    }

    public void setSmsMd5Code(String smsMd5Code) {
        this.smsMd5Code = smsMd5Code;
    }

    public String getOrderFlag() {
        return orderFlag;
    }

    public void setOrderFlag(String orderFlag) {
        this.orderFlag = orderFlag;
    }

    public Double getReceiptAmount() {
        return receiptAmount;
    }

    public void setReceiptAmount(Double receiptAmount) {
        this.receiptAmount = receiptAmount;
    }

    public Double getHandlingFee() {
        return handlingFee;
    }

    public void setHandlingFee(Double handlingFee) {
        this.handlingFee = handlingFee;
    }

    public String getConfirmType() {
        return confirmType;
    }

    public void setConfirmType(String confirmType) {
        this.confirmType = confirmType;
    }

    public String getConfirmUserPermissionID() {
        return confirmUserPermissionID;
    }

    public void setConfirmUserPermissionID(String confirmUserPermissionID) {
        this.confirmUserPermissionID = confirmUserPermissionID;
    }

    public String getReviewUserPermissionID() {
        return reviewUserPermissionID;
    }

    public void setReviewUserPermissionID(String reviewUserPermissionID) {
        this.reviewUserPermissionID = reviewUserPermissionID;
    }

    public String getCancelUserPermissionID() {
        return cancelUserPermissionID;
    }

    public void setCancelUserPermissionID(String cancelUserPermissionID) {
        this.cancelUserPermissionID = cancelUserPermissionID;
    }

    public String getTransactionNum() {
        return transactionNum;
    }

    public void setTransactionNum(String transactionNum) {
        this.transactionNum = transactionNum;
    }

    public String getBankID() {
        return bankID;
    }

    public void setBankID(String bankID) {
        this.bankID = bankID;
    }

    public String getBankCode() {
        return bankCode;
    }

    public void setBankCode(String bankCode) {
        this.bankCode = bankCode;
    }

    public String getKuaiQianPayTypeID() {
        return kuaiQianPayTypeID;
    }

    public void setKuaiQianPayTypeID(String kuaiQianPayTypeID) {
        this.kuaiQianPayTypeID = kuaiQianPayTypeID;
    }

    public String getKuaiQianPayerID() {
        return kuaiQianPayerID;
    }

    public void setKuaiQianPayerID(String kuaiQianPayerID) {
        this.kuaiQianPayerID = kuaiQianPayerID;
    }

    public String getRePayFlag() {
        return rePayFlag;
    }

    public void setRePayFlag(String rePayFlag) {
        this.rePayFlag = rePayFlag;
    }

    public Double getActualAmount() {
        return actualAmount;
    }

    public void setActualAmount(Double actualAmount) {
        this.actualAmount = actualAmount;
    }

    public String getFormData() {
        return formData;
    }

    public void setFormData(String formData) {
        this.formData = formData;
    }

    public String getProblem() {
        return problem;
    }

    public void setProblem(String problem) {
        this.problem = problem;
    }

    public String getNoOrderReason() {
        return noOrderReason;
    }

    public void setNoOrderReason(String noOrderReason) {
        this.noOrderReason = noOrderReason;
    }

    public String getReviewReason() {
        return reviewReason;
    }

    public void setReviewReason(String reviewReason) {
        this.reviewReason = reviewReason;
    }

    public String getCancelReason() {
        return cancelReason;
    }

    public void setCancelReason(String cancelReason) {
        this.cancelReason = cancelReason;
    }

    public String getReceiptDate() {
        return receiptDate;
    }

    public void setReceiptDate(String receiptDate) {
        this.receiptDate = receiptDate;
    }

    public String getConfirmDate() {
        return confirmDate;
    }

    public void setConfirmDate(String confirmDate) {
        this.confirmDate = confirmDate;
    }

    public String getReviewDate() {
        return reviewDate;
    }

    public void setReviewDate(String reviewDate) {
        this.reviewDate = reviewDate;
    }

    public String getCancelDate() {
        return cancelDate;
    }

    public void setCancelDate(String cancelDate) {
        this.cancelDate = cancelDate;
    }

    public String getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(String updateDate) {
        this.updateDate = updateDate;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }
}