package com.caimei.mapper.user;

import com.caimei.entity.CmUserBalanceRecord;
import com.caimei.entity.User;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface UserMapper {

	/**
	 * 通过用户Id获取用户信息
	 * @param userId
	 * @return
	 */
	User findUserById(@Param("userId") Integer userId);

	/**
	 * 更新用户可用余额
	 * @param user
	 */
    void updateAbleUserMoney(User user);

	/**
	 * 更新用户余额
	 * @param user
	 */
	void updateUserMoney(User user);

	/**
	 * 插入用户余额使用记录
	 * @param cmUserBalanceRecord
	 * @return
	 */
	int insertUserBalanceRecord(CmUserBalanceRecord cmUserBalanceRecord);

	/**
	 * 更新用户余额记录
	 * @param cmUserBalanceRecord
	 * @return
	 */
	int updateBalanceRecord(CmUserBalanceRecord cmUserBalanceRecord);
}