package com.caimei.service.products.impl;

import com.caimei.entity.*;
import com.caimei.mapper.products.HomePageMapper;
import com.caimei.service.products.HomePageService;
import com.caimei.utils.AppUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class HomePageServiceImpl implements HomePageService {
    protected static final Logger logger = LoggerFactory.getLogger(HomePageServiceImpl.class);
    @Autowired
    private HomePageMapper homePageMapper;
    @Value("${miniprogram.domain}")
    private String domain;

    @Override
    public Map<String, Object> information(Integer organizeID, Integer userID) {
        logger.info("------------HomePageServiceImpl.information.organizeID:" + organizeID + ",userID:" + userID);
        Map<String, Object> map = new HashMap();
        //商品分类
        List<CmProductsClassify> productsClassify = homePageMapper.findClassify(organizeID);
        //常用商品
        List<CmOrganizeProducts> organizeProducts = homePageMapper.findProducts(organizeID);
        for (CmOrganizeProducts product : organizeProducts) {
            product.setMainImage(AppUtils.getImageURL("product", product.getMainImage(), 0, domain));
        }
        //购物车数量
        Integer count = homePageMapper.cartQuantity(userID);
        if (count == null) count = 0;
        logger.info("------------HomePageServiceImpl.information.count:" + count);
        map.put("productsClassify", productsClassify);
        map.put("organizeProducts", organizeProducts);
        map.put("count", count);
        return map;
    }

    @Override
    public List<CmOrganizeProducts> classify(CmOrganizeProducts organizeProducts) {
        List<CmOrganizeProducts> classify = homePageMapper.classify(organizeProducts);
        for (CmOrganizeProducts products : classify) {
            products.setMainImage(AppUtils.getImageURL("product", products.getMainImage(), 0, domain));
        }
        return classify;
    }

    @Override
    public List<CmOrganizeProducts> preferred(CmOrganizeProducts organizeProducts) {
        List<CmOrganizeProducts> preferred = homePageMapper.preferred(organizeProducts);
        for (CmOrganizeProducts products : preferred) {
            products.setMainImage(AppUtils.getImageURL("product", products.getMainImage(), 0, domain));
        }
        return preferred;
    }

    @Override
    public List<hospital> member() {
        List<hospital> member = homePageMapper.member();
        for (hospital hospital : member) {
            List<brand> brands = homePageMapper.findId(hospital.getId());
            hospital.setBrands(brands);
        }
        return member;
    }

    @Override
    public CmMallOrganize afterSale(Integer organizeID) {
        return homePageMapper.afterSale(organizeID);
    }
}
